## Struct template type_serializer<, >

zeep::xml::type_serializer<T, std::enable_if_t< std::is_enum_v< T > >>

## Synopsis

    // In header: <zeep/xml/serialize.hpp>

    template<typename T>
    struct type_serializer<, > : public  {
      // types
      typedef                      ;
      typedef value_serializer<  ;

      // public static functions
       ();
       ();
       (element &, , );
       (element &, , );
      element (, );
       ();
    };

## Description

### `type_serializer` public static functions

1.      ( value);

2.      ( value);

3.      (element & n,  name,
                                    value);

4.      (element & n,  name,
                                      value);

5.     element ( name,  prefix);

6.      ( types);